import { ElementRef, EventEmitter, OnInit } from '@angular/core';
import { Subject } from 'rxjs';
import { NgxCaptureService } from './ngx-capture.service';
declare type Point = {
    x: number;
    y: number;
};
export declare class NgxCaptureComponent implements OnInit {
    private captureService;
    rectangle: ElementRef;
    overlay: ElementRef;
    target: any;
    resultImage: EventEmitter<string>;
    rect: HTMLElement;
    captureZone: HTMLElement;
    isDrawing: boolean;
    mouseStart: Point;
    cropDimensions: {
        x: number;
        y: number;
        width: number;
        height: number;
    };
    destroy$: Subject<void>;
    constructor(captureService: NgxCaptureService);
    ngOnInit(): void;
    private startCapture;
    private drawRect;
    private setMousePosition;
    private endCapture;
    private setRectangle;
}
export {};
